Author Topic: Error after upgrade to 4.5.518  (Read 8454 times)

0 Members and 1 Guest are viewing this topic.

Offline pittie31

  • Newbie
  • *
  • Posts: 9
  • Mack Power - Keep On Truckin'
Error after upgrade to 4.5.518
« on: November 13, 2004, 11:29:25 PM »
Hi, i'm new to this forum but decided to come here since having a problem with avast today for the first time. I've been using avast for about a half year now, and very satisfied with it, recommending it to everybody. But today it did an automatic upgrade to 4.5.518 and asked for a reboot. After doing that, and windows started, i got the following error: Internal error has occured in avast! program. It is probably caused by a program bug or invalid entry data
I still get the icon in the sys tray but it has that red circle with the red stripe in it, and resident protection is disabled, and even trying to start it manually doesn't work. When i right click on the sys tray icon, then on Start avast! antivirus, it performs the memory test first, then i also get this following error: The paramter is incorrect. The scan completed with error: 87 = The paramter is incorrect.
I already tried an uninstall/reinstall but get the same errors. Before this upgrade i had no problems at all with avast! Today is the first time i got an error like this, and this was after the upgrade and reboot.
System:
Celeron 2.4Ghz
512Mb ddram
OS: Win XP Pro SP2

If anybody has any ideas what could be causing this, or any suggestions i would really appreciate the help. Thanks

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11664
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Error after upgrade to 4.5.518
« Reply #1 on: November 13, 2004, 11:32:07 PM »
Please send me the unp* file(s) from the avast\data\log folder (by email). There should be at least one.

Thanks
Vlk
If at first you don't succeed, then skydiving's not for you.

Offline pittie31

  • Newbie
  • *
  • Posts: 9
  • Mack Power - Keep On Truckin'
Re:Error after upgrade to 4.5.518
« Reply #2 on: November 13, 2004, 11:44:44 PM »
Ok, there was a total of 2 unp* files, so i sent them both to you by email. Now i'll patiently wait for a new reply. Thanks

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11664
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Error after upgrade to 4.5.518
« Reply #3 on: November 14, 2004, 12:01:13 AM »
Your installation seems to be somehow damaged. Please try doing repair of avast install.

Control Panel -> Add/Remove Programs -> avast antivirus -> Change/Remove -> Repair (scroll down the icon list to see the Repair option).


Thanks
Vlk
If at first you don't succeed, then skydiving's not for you.

Offline pittie31

  • Newbie
  • *
  • Posts: 9
  • Mack Power - Keep On Truckin'
Re:Error after upgrade to 4.5.518
« Reply #4 on: November 14, 2004, 12:13:03 AM »
I have also already tried that (repair) but it didnt help any. I just tried it again, also rebooted, but still get the same error.  ???

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11664
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Error after upgrade to 4.5.518
« Reply #5 on: November 14, 2004, 12:45:13 AM »
Well the problem basically means that one of the system functions failed. Which is quite strange. Exactly the same code was used in avast 4.1 - and it was working OK?

Haven't you changed anything important in your system? Install new programs? Operating system fixes?


Thanks
Vlk
If at first you don't succeed, then skydiving's not for you.

Offline pittie31

  • Newbie
  • *
  • Posts: 9
  • Mack Power - Keep On Truckin'
Re:Error after upgrade to 4.5.518
« Reply #6 on: November 14, 2004, 12:56:14 AM »
Yes 4.1 was working just fine, and i havent installed any new programs recently, or any OS updates or fixes.

Offline p0ppie

  • Newbie
  • *
  • Posts: 1
Re:Error after upgrade to 4.5.518
« Reply #7 on: November 14, 2004, 02:44:27 AM »
I am getting this same exact error. didn't have avast previously installed. happened "right out of the box" for me.

Offline pittie31

  • Newbie
  • *
  • Posts: 9
  • Mack Power - Keep On Truckin'
Re:Error after upgrade to 4.5.518
« Reply #8 on: November 17, 2004, 06:58:18 PM »
Still no anwers from avast on my problem? No help for this at all? I feel unsafe here.  ???

Offline Lisandro

  • Avast team
  • Certainly Bot
  • *
  • Posts: 67250
Re:Error after upgrade to 4.5.518
« Reply #9 on: November 17, 2004, 07:13:12 PM »
Still no anwers from avast on my problem? No help for this at all? I feel unsafe here.  ???

They are all trying...  :-[
I can't figure out what is happening to help you...
Can you hold on? Thanks.
The best things in life are free.

Offline igor

  • Avast team
  • Serious Graphoman
  • *
  • Posts: 11801
    • AVAST Software
Re:Error after upgrade to 4.5.518
« Reply #10 on: November 17, 2004, 08:00:30 PM »
I think Vlk has found the cause - and I also thought he had already replied... well, maybe not.
The problem I had seen was "caused" by the fact that avast! was running on a betaversion of SP2 (something like SP2 RC1). Is it the case?
It will probably be fixed in the next program update - but running a betaversion of SP2 is certainly a risky thing to do.

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11664
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Error after upgrade to 4.5.518
« Reply #11 on: November 17, 2004, 08:16:42 PM »
Yes, this is definitely the "Pre-release version of SP2" issue.

pittie31 & p0ppie, please update your system to the official SP2 release. It has a version number of 2158 (or 2160? I'm not sure).

Thanks
Vlk
If at first you don't succeed, then skydiving's not for you.

Offline Eddy

  • Avast Evangelist
  • Maybe Bot
  • ***
  • Posts: 31305
  • Watching (over?) you
    • Malware removal, Biljart and other things.
Re:Error after upgrade to 4.5.518
« Reply #12 on: November 17, 2004, 08:23:03 PM »
Version 2158

Offline pittie31

  • Newbie
  • *
  • Posts: 9
  • Mack Power - Keep On Truckin'
Re:Error after upgrade to 4.5.518
« Reply #13 on: November 17, 2004, 11:11:54 PM »
Yes, this is definitely the "Pre-release version of SP2" issue.

pittie31 & p0ppie, please update your system to the official SP2 release. It has a version number of 2158 (or 2160? I'm not sure).

Thanks
Vlk

Yes indeed, you 're right, i am running a beta version of SP2, but this hasn't caused any problems with previous versions of avast, why is it now? And i've tried updating to the official SP2 release several times now, but each time it won't work, it just says 'failed'. Maybe sometime soon i will do a re-install of XP. But it really puzzles me why avast worked fine on my system until this new version came out. Even today i tried the new update from 4.5.518 to 4.5.523 hoping the problem was helped, but it wasn't. I even tried uninstalling 4.5.518 and also cleaned the register of everything from avast, then installed the 4.5.523 but got the same problem again. So for now, until avast comes up with a solution, i put version 4.1 back on with updated .dat files. Or until i do a re-install and get the official SP2 working on here, whichever comes first. Thanks so far for all your help team.

Offline Vlk

  • Avast CEO
  • Serious Graphoman
  • *
  • Posts: 11664
  • Please don't send me IM's. Email only. Thx.
    • ALWIL Software
Re:Error after upgrade to 4.5.518
« Reply #14 on: November 17, 2004, 11:24:28 PM »
Well the reasons is that when avast 4.5 detects XP SP2, it tries to take advantage of some of its new features. And unfortunately, at least one of the features is not available in your SP2 build (it's too old) - even though it reports it's SP2.

We may change this in the next avast program update because obviously, it is causing problems to some users. :)

thanks
Vlk
If at first you don't succeed, then skydiving's not for you.